Package Details: lbry-app-bin 0.48.2-1

Git Clone URL: https://aur.archlinux.org/lbry-app-bin.git (read-only, click to copy)
Package Base: lbry-app-bin
Description: The LBRY app built using electron
Upstream URL: https://lbry.com/
Keywords: blockchain decentralized lbry lbry.com
Licenses: MIT
Provides: lbry, lbrynet
Submitter: kiyui
Maintainer: kiyui (kcseb)
Last Packager: kcseb
Votes: 40
Popularity: 0.90
First Submitted: 2017-03-29 02:59
Last Updated: 2020-10-16 22:32

Latest Comments

1 2 3 4 5 Next › Last »

Sukid commented on 2020-11-10 04:20

Would there be a way to make this work with the system installed electron instead of its own built in version? Would at least be useful for people running on wayland with electron-ozone.

chiwat commented on 2020-10-03 22:26

I got the following error when starting Lbry from terminal. Any ideals what could be the problem.

Starting SDK Sandbox listening on port 5278. Daemon: [3117] Failed to execute script cli

Daemon: Traceback (most recent call last): File "pathlib.py", line 1273, in mkdir FileNotFoundError: [Errno 2] No such file or directory: '/run/media/chaiwat/LBRY and Storage/LBRY'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "lbry/extras/cli.py", line 336, in <module> File "lbry/extras/cli.py", line 295, in main File "lbry/extras/cli.py", line 228, in ensure_directory_exists File "pathlib.py", line 1277, in mkdir File "pathlib.py", line 1273, in mkdir PermissionError: [Errno 13] Permission denied: '/run/media/chaiwat/LBRY and Storage'

redfish commented on 2020-09-01 03:40

For easier version bumps, please replace the source var with:

source=("https://github.com/lbryio/lbry-desktop/releases/download/v${pkgver}/LBRY_${pkgver}.deb")

gardenappl commented on 2020-08-26 12:34

Now that you provide a symlink to the "lbrynet" executable, could you add provides=('lbrynet')? I have a standalone package for it named 'lbrynet-bin'.

mprom commented on 2020-07-28 14:28

Trying to launch lbry from the terminal, I get this error

Starting SDK
Sandbox listening on port 5278.
Daemon: [66189] Failed to execute script cli
Traceback (most recent call last):
  File "lbry/extras/cli.py", line 336, in <module>
  File "lbry/extras/cli.py", line 293, in main
  File "lbry/conf.py", line 439, in create_from_arguments
  File "lbry/conf.py", line 657, in __init__
  File "lbry/conf.py", line 669, in set_default_paths
  File "lbry/conf.py", line 717, in get_linux_directories
UnboundLocalError: local variable 'download_dir' referenced before assignment

Stargarth commented on 2020-07-26 10:38

I got a following when I started the app:

    lbry: error while loading shared libraries: libXss.so.1: cannot open shared object file: No such file or directory

It was resolved by installing libxss

    sudo pacman -S libxss

Somebody should add it to list of dependencies, as lbry clearly can't run without it.

Kr1ss commented on 2020-07-23 14:52

Thank you for the update, and for adding the link @kiyui !

Kr1ss commented on 2020-07-17 20:19

@kiyui @kcseb Would you mind adding

ln -s /opt/LBRY/resources/static/daemon/lbrynet "$pkgdir/usr/bin/"

to the package() function, so that we can use the lbrynet tool without augmenting the search path or changing the current directory ?

lenok commented on 2020-06-15 15:37

I get this error on startup.

Daemon: /opt/LBRY/resources/static/daemon/lbrynet: error while loading shared libraries: libz.so.1: failed to map segment from shared object

Same error message as SleepingFox commented on 2020-04-01 21:01. But I started it for the first time.

Edit: The Problem was that my /tmp was mounted on RAM. tmpfs /tmp tmpfs defaults,noexec,nosuid 0 0 (fstab). There is a similar problem with signal-desktop app https://github.com/signalapp/Signal-Desktop/issues/2595.

wackbyte commented on 2020-06-08 19:03

update time!